Package org.eclipse.net4j.util.concurrent

# Class Access

java.lang.Object
org.eclipse.net4j.util.concurrent.Access

All Implemented Interfaces:
  `AutoCloseable`

public final class Access extends Object implements AutoCloseable

Since:
  3.16
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Access(Lock lock)`

## Method Summary

Modifier and Type
Method
Description
`Access`
`access()`
`void`
`close()`
`Lock`
`getLock()`
`Condition`
`newCondition()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Access

public Access(Lock lock)

## Method Details

### getLock

public Lock getLock()

### newCondition

public Condition newCondition()

### access

public Access access()

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`